#***************************************************************************
# Copyright (C) 1995-2011 OSS Nokalva, Inc.  All rights reserved.
#***************************************************************************
# THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
# AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
# THIS FILE MAY NOT BE DISTRIBUTED.
#***************************************************************************


ASN1PLAT=linux-glibc2.2
ASN1VER=9.0.0
#OSS_ASN1_C_DIR = $(OSSINFO)/ossasn1/$(ASN1PLAT)/$(ASN1VER)
OSS_ASN1_C_DIR = /home/thorpe/shipments/ossasn1

OSS_INC = $(OSS_ASN1_C_DIR)/include
OSS_LIB = $(OSS_ASN1_C_DIR)/lib

# Which archive ...
A = a

CC = cc          # must understands function prototypes
 
LFLAGS = -lm
INCLUDES = -I. -I$(OSS_INC)
CFLAGS = $(INCLUDES) -O -DOSSPRINT
MORE = more <

#--------------------------------
EXECUTABLE = printper
HANDWR = gendec
GENERATED = ranap
LIB = $(OSS_LIB)/libprintasn.$A $(OSS_LIB)/libasn1code.$A 
ASN1FILES = ranap-49kb.asn 
ASN1FLAGS = -per -root -soed ranap.c -h ranap.h -extern ranap -compat v9.0.0
ASN1 = $(OSS_ASN1_C_DIR)/bin/asn1
#--------------------------------

HFILES = $(OSS_INC)/asn1code.h $(OSS_INC)/asn1hdr.h $(OSS_INC)/ossber.h \
	$(OSS_INC)/asn1util.h $(OSS_INC)/etype.h $(OSS_INC)/ossglobl.h

.SUFFIXES: .o .c
.c.o:
	$(CC) $(CFLAGS) -c $<

# Do a basic sanity test by creating a set of *.txt files
# to verify that the encoder/decoder are working okay.

all: $(EXECUTABLE).out
	$(MORE) $?

$(EXECUTABLE).out: $(EXECUTABLE)
	./$(EXECUTABLE) > $(EXECUTABLE).out

# Link the C-compiled output of the ASN.1 compiler with a demonstration
# application program and the runtime library.

$(EXECUTABLE): $(HANDWR).o $(GENERATED).o $(LIB) 
	$(CC) -o $@ $(HANDWR).o $(GENERATED).o $(LIB) $(LFLAGS)
	strip $@

$(HANDWR).o: $(GENERATED).h $(HFILES) 

# C-compile the output of the ASN.1 compiler

$(GENERATED).o: $(GENERATED).c $(GENERATED).h $(HFILES) 

# ASN.1-compile the input ASN.1 file

$(GENERATED).c $(GENERATED).h: $(ASN1FILES) 
	$(ASN1) $(ASN1FILES) $(ASN1FLAGS)

# Clean up

clean:
	rm -f $(GENERATED).c $(GENERATED).h $(GENERATED).o $(HANDWR).o $(EXECUTABLE) $(EXECUTABLE).out
