/*
 * Copyright (C) 2001-2011 OSS Nokalva.  All rights reserved.
 *
 */

/*
 * THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC. AND MAY BE USED
 * ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC. THIS FILE MAY NOT BE
 * DISTRIBUTED.
 */

/*
 * This example consists of 2 programs. One calls ossPrintPER()
 * and the other (below) uses a PDU value notation in ranap.asn to quickly test
 * it.
 */


#include "ranap.h"


int main(int argc, char **argv)
{
    OssGlobal world;
    long      run = 0;
    int       _test_error_count = 0;

    _test_error_count = ossinit(&world, ranap);
    if (_test_error_count) {
	ossPrint(&world, "%d was returned by ossinit().\n", _test_error_count);
	return (_test_error_count ? EXIT_FAILURE : EXIT_SUCCESS);
    }
    world.userVar = &run;
    if (ossTest(&world, RANAP_PDU_PDU, &rANAP_PDU)) {
	ossPrint(&world, "Testing failed for the value \"rANAP-PDU\".\n");
	_test_error_count++;	/* 1 */
    }
    if (ossTest(&world, RANAP_PDU_PDU, &rANAP_PDU2)) {
	ossPrint(&world, "Testing failed for the value \"rANAP-PDU2\".\n");
	_test_error_count++;	/* 2 */
    }
    if (_test_error_count)
	ossPrint(&world, "%d values failed.\n", _test_error_count);
    else
	ossPrint(&world, "All values encoded and decoded successfully.\n");
    ossterm(&world);
    return (_test_error_count ? EXIT_FAILURE : EXIT_SUCCESS);
}
